## -*- texinfo -*-
## @deftypefn {Function File} {@var{p} =} addOptional (@var{p}, @var{name}, @var{default}, @var{validator})
## Add optional argument to the scheme for the inputParser object, @var{p}.
## @end deftypefn

## Author: Ben Abbott <bpabbott@mac.com>
## Created: 2010-11-15

function p = addOptional (p, name, default, validator)
  p = inputparser_plan (p, "optional", name, default, validator);
endfunction

